#pragma once

#include "apl_gui.h"
#include "apl_api.h"

// CShowItemApprovals dialog

class CShowItemApprovals : public CaplResizableDialog
{
	DECLARE_DYNAMIC(CShowItemApprovals)

public:
	CShowItemApprovals(CWnd* pParent = NULL);   // standard constructor
	virtual ~CShowItemApprovals();

// Dialog Data
	enum { IDD = IDD_SHOW_ITEM_APPROVALS_DLG };

	CSortListCtrl m_ListObjects;
	CaplButton	m_BtnCancel;

	CaplInstance* m_item;
	CaplAPI *m_api;

	bool FeelTable();

protected:
	// предотвращаем потерю модальности после диалога с бочками из aplSocketTransport
	CaplParentWndProcesser m_pwp;

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkListAttributes(NMHDR* pNMHDR, LRESULT* pResult);
	CString m_ObjectId;
	BOOL m_HideRevocation;
	afx_msg void OnBnClickedHideRevocation();
};
